Last Comment Bug 503478 - Most context menu items unavailable outside of contentEditable area
: Most context menu items unavailable outside of contentEditable area
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 01:40 PDT by neil@parkwaycc.co.uk
Modified: 2009-07-19 09:41 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (1.64 KB, patch)
2009-07-10 01:42 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2009-07-10 01:40:48 PDT
Our current context menu code predates contentEditable areas and confuses them with designMode. I've come up with some code that detects when we're really in a contentEditable area and doesn't force page spellcheck.
Comment 1 neil@parkwaycc.co.uk 2009-07-10 01:42:29 PDT
Created attachment 387839 [details] [diff] [review]
Proposed patch
Comment 2 Ian Neal 2009-07-13 16:07:33 PDT
Test case in bug 433860
Comment 3 Ian Neal 2009-07-13 16:40:41 PDT
Comment on attachment 387839 [details] [diff] [review]
Proposed patch

Any reason for the // case "inherit": continue;  left in?
Comment 4 neil@parkwaycc.co.uk 2009-07-19 09:41:55 PDT
Pushed changeset 5eafbc277e1c to comm-central.

Note You need to log in before you can comment on or make changes to this bug.